import { getStorageItem, setBrowserStorageItem } from '@/modules/@common/storage/helpers';

const STORAGE_NAME = 'user/LAST_USED_TEMPLATES';

export const getTemplateIds = () => JSON.parse(getStorageItem(STORAGE_NAME)) || [];

// only 3 items should be present in store
export const setTemplateId = (templateId) => {
  let savedTemplateIds = getTemplateIds();
  const notExist = !savedTemplateIds.find((id) => templateId === id);

  if (notExist) {
    savedTemplateIds.push(templateId);
  }

  if (savedTemplateIds.length > 3) {
    savedTemplateIds = savedTemplateIds.slice(1);
  }

  // todo: possible move to cookies
  setBrowserStorageItem(STORAGE_NAME, JSON.stringify(savedTemplateIds));
};
